# /emoji-delete

{% hint style="info" %}
This endpoint requires a POST request!
{% endhint %}

### Endpoint Headers:

* bot-token - Token of the Bot <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)
* guild-id - ID of the guild to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Endpoint Body Parameters:

* emoji- ID of Emoji to fetch <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)
* reason - reason for deletion <mark style="color:orange;">**\[String]**</mark> (<mark style="color:green;">**Optional**</mark>)

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/guild/emoji-delete` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpAddHeader[bot-token;<YOUR-BOT-TOKEN>]
$httpAddHeader[guild-id;1064098700307218463] 
$httpPost[https://bdfddata.rickyjs.xyz/<version>/guild/emoji-delete;{
"emoji": "<EMOJI-ID>",
"reason": "Optional Reason for deletion"
}]


$httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/guild/emoji-delete` endpoint using Discord.js

<pre class="language-javascript"><code class="lang-javascript">const axios = require('axios');
(async () => {
return await axios.post('https://bdfddata.rickyjs.xyz/&#x3C;version>/guild/channels', {
<strong>"emoji": "&#x3C;EMOJI-ID>",
</strong>"reason": "Optional reason for deletion"
},
{
headers: {
"apikey": "&#x3C;YOUR-API-KEY>",
"bot-token": "&#x3C;YOUR-BOT-TOKEN>",
"guild-id": "1064098700307218463",
}
}).then(res=>res.data)
})()
</code></pre>

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200</summary>

API succeeded and details were fetched.

```javascript
{
 status: 200
 // if successful, nothing gets returned. else will say 'Unkown Emoji'
 }   
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 401</summary>

Invalid bot token was provided.

```javascript
{
  status: 401,
  details: { message: '401: Unauthorized', code: 0 }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/guild/emoji-delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
